Skip to main content
`Ctrl`+`K`

# PetscQuadratureGetNumComponents

Return the number of components for functions to be integrated

## Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscQuadratureGetNumComponents(PetscQuadrature q, PetscInt *Nc)

Not Collective

## Input Parameter

- q - The `PetscQuadrature` object

## Output Parameter

- Nc - The number of components

## Note

We are performing an integral \(\int f(x) w(x) dx\), where both \(f\) and \(w\) (the weight) have `Nc` components.

## See Also

`PetscQuadrature`, `PetscQuadratureSetNumComponents()`, `PetscQuadratureGetData()`, `PetscQuadratureSetData()`

## Level

intermediate

## Location

src/dm/dt/interface/dt.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages